precision lowp float;
uniform lowp sampler2D spriteSheet;
uniform lowp sampler2D spriteSheetAlpha;
varying highp vec2 ps_texCoord;
varying lowp float ps_opacity;

void main()
{
    lowp vec4 color = texture2D(spriteSheet, ps_texCoord);
  color.a = texture2D(spriteSheetAlpha, ps_texCoord * 5.12).r;
  color *= ps_opacity;

gl_FragColor = color;
}

