//
//  Shader.fsh
//  Shatter
//
//  Created by Eric Karl on 1/21/11.
//  Copyright 2011 Eric Karl. All rights reserved.
//
uniform lowp sampler2D ps_texture;
varying lowp vec4 ps_color;
varying highp vec2 ps_texcoord;

void main()
{
	lowp vec4 tint = texture2D(ps_texture, ps_texcoord);
  
  gl_FragColor = ps_color * tint;
}
