//
//  SpriteShader.vsh
//  Shatter
//
//  Created by Eric Karl on 1/21/11.
//  Copyright 2011 Eric Karl. All rights reserved.
//

attribute vec4 vs_position;
attribute vec2 vs_texCoord;
attribute float vs_opacity;

varying highp vec2 ps_texCoord;
varying lowp float ps_opacity;

uniform float vs_depth;

void main()
{
    gl_Position = vs_position;
    gl_Position.z = vs_depth;
    ps_texCoord = vs_texCoord;
    ps_opacity = vs_opacity;
}
