precision lowp float;
uniform lowp sampler2D spriteSheet;
uniform lowp sampler2D spriteSheetAlpha;
varying highp vec2 ps_texCoord;
varying lowp float ps_opacity;

void main()
{
    lowp vec4 colorRGB = texture2D(spriteSheet, ps_texCoord);
  
  lowp vec4 grayscaleVector = vec4(0.3, 0.59, 0.11, 0.0);
  
   float color = dot(colorRGB, grayscaleVector);
	
  color *= ps_opacity;
  //colorRGB.rgb = color.rrr;

gl_FragColor = vec4(color, color, color, colorRGB.a);
}

